Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

openvrml::null_x3d_vrml_parse_actions Struct Reference

No-op semantic actions for `x3d_vrml_grammar`. More...

`#include <openvrml/x3d_vrml_grammar.h>`

Inheritance diagram for openvrml::null_x3d_vrml_parse_actions:
[legend]

List of all members.

## Detailed Description

No-op semantic actions for `x3d_vrml_grammar`.

This `struct` includes a no-op function for each semantic action called by `x3d_vrml_grammar`. It is the default value of `x3d_vrml_grammar%'s` `Actions` template parameter. It is generally convenient to inherit this `struct` when providing your own semantic actions, as doing so will provide a default no-op action where none has been implemented or none needs to occur.